clear;
nt=17.333;
Ztabc=[0.0013+0.0035j 0 0; 0 0.0013+0.0035j 0; 0 0 0.0013+0.0035j];

%% ӵ-νѹӷ
AV=nt * eye(3,3)
AI=nt * eye(3,3)
DI=[1 0 -1;-1 1 0;0 -1 1];
W=1/3*[2 1 0;0 2 1;1 0 2];
D=[1 -1 0; 0 1 -1; -1 0 1];
ZNtabc=Ztabc*AI;

at=nt*[1 -1 0; 0 1 -1; -1 0 1]
dt=1/(3*nt)*[1 -1 0; 1 2 0; -2 -1 0]
bt=AV*ZNtabc*dt
At=1/(3*nt)*[2 1 0; 0 2 1; 1 0 2]
Bt=W*ZNtabc*dt

VLLabc=[240*exp(i*deg2rad(0));237*exp(i*deg2rad(-121));235*exp(i*deg2rad(120.1))];

SDabc=[150*exp(i*deg2rad(acosd(0.95)));125*exp(i*deg2rad(acosd(0.9)));160*exp(i*deg2rad(acosd(0.8)))];
% VLLabc=[240*exp(i*deg2rad(0));240*exp(i*deg2rad(-120));240*exp(i*deg2rad(120))];
IDabc=conj(SDabc * 1000 ./ VLLabc);
disp([getVarName(IDabc),' = '])
disp([abs(IDabc),rad2deg(angle(IDabc))])

Iabc=DI*IDabc;
disp([getVarName(Iabc),' = '])
disp([abs(Iabc),rad2deg(angle(Iabc))])

IABC=dt*Iabc;
disp([getVarName(IABC),' = '])
disp([abs(IABC),rad2deg(angle(IABC))])

VLNabc=W*VLLabc;
disp([getVarName(VLNabc),' = '])
disp([abs(VLNabc),rad2deg(angle(VLNabc))])

VLNABC=at*VLNabc+bt*Iabc;
disp([getVarName(VLNABC),' = '])
disp([abs(VLNABC),rad2deg(angle(VLNABC))])

STi=VLNABC.*conj(IABC)/1000;
disp([getVarName(STi),' = '])
disp([abs(STi),rad2deg(angle(STi))])

PF=cos(angle(STi))


return;

VLLABC=D*VLNABC/1000;
disp([getVarName(VLLABC),' = '])
disp([abs(VLLABC),rad2deg(angle(VLLABC))])






% άϵЧ
ZsysABC=[0.4576+j*1.0780 0.1559+j*0.5017 0.1535+j*0.3849;
0.1559+j*0.5017 0.4666+j*1.0482 0.1580+j*0.4236;
0.1535+j*0.3849 0.1580+j*0.4236 0.4615+j*1.0651];

ELNABC=VLNABC+ZsysABC*IABC;
disp([getVarName(ELNABC),' = '])
disp([abs(ELNABC),rad2deg(angle(ELNABC))])

Ethabc=At*ELNABC;
disp([getVarName(Ethabc),' = '])
disp([abs(Ethabc),rad2deg(angle(Ethabc))])

Zthabc=At*ZsysABC*dt+Bt

VLNabc=Ethabc-Zthabc*Iabc;
disp([getVarName(VLNabc),' = '])
disp([abs(VLNabc),rad2deg(angle(VLNabc))])

