clear;
nt=20;
Ztabc=[0.0077+0.012j 0 0; 0 0.0127+0.0161j 0; 0 0 0.0127+0.0161j];

%% -νѹӷ
W=1/3*[2 1 0; 0 2 1; 1 0 2];
AV=nt*eye(3,3);
AI=nt*eye(3,3);
D=[1 -1 0; 0 1 -1; -1 0 1];
DI=[1 0 -1;-1 1 0;0 -1 1];
G1=1/(Ztabc(1,1)+Ztabc(2,2)+Ztabc(3,3)) * [Ztabc(3,3) -Ztabc(2,2) 0; Ztabc(3,3) Ztabc(1,1)+Ztabc(3,3) 0; -Ztabc(1,1)-Ztabc(2,2) -Ztabc(2,2) 0]


at=W*AV*D
bt=W*AV*Ztabc*G1
dt=1/nt*eye(3,3);
At=W*AV^(-1)*D
Bt=W*Ztabc*G1

VLLabc=[240*exp(i*deg2rad(0));240*exp(i*deg2rad(-120));240*exp(i*deg2rad(120))];
SDabc=[50*exp(i*deg2rad(acosd(0.8)));50*exp(i*deg2rad(acosd(0.8)));50*exp(i*deg2rad(acosd(0.8)))];
% VLLabc=[240*exp(i*deg2rad(0));240*exp(i*deg2rad(-120));240*exp(i*deg2rad(120))];
SLampabc=[25*exp(i*deg2rad(acosd(0.95)));0;0];

IL1abc=conj(SDabc * 1000 ./ VLLabc);
IL2abc=conj(SLampabc * 1000 ./ VLLabc);

disp([getVarName(IL1abc),' = '])
disp([abs(IL1abc),rad2deg(angle(IL1abc))])
disp([getVarName(IL2abc),' = '])
disp([abs(IL2abc),rad2deg(angle(IL2abc))])

ILabc=IL1abc+IL2abc;
disp([getVarName(ILabc),' = '])
disp([abs(ILabc),rad2deg(angle(ILabc))])

Iabc=DI*ILabc;
disp([getVarName(Iabc),' = '])
disp([abs(Iabc),rad2deg(angle(Iabc))])

IABC=dt*Iabc;
disp([getVarName(IABC),' = '])
disp([abs(IABC),rad2deg(angle(IABC))])

VLNabc=W*VLLabc;
disp([getVarName(VLNabc),' = '])
disp([abs(VLNabc),rad2deg(angle(VLNabc))])

VLNABC=at*VLNabc+bt*Iabc;
disp([getVarName(VLNABC),' = '])
disp([abs(VLNABC),rad2deg(angle(VLNABC))])

VLLABC=D*VLNABC;
disp([getVarName(VLLABC),' = '])
disp([abs(VLLABC),rad2deg(angle(VLLABC))])


IDabc=G1*Iabc;
disp([getVarName(IDabc),' = '])
disp([abs(IDabc),rad2deg(angle(IDabc))])

IDABC=AI^(-1)*IDabc;
disp([getVarName(IDABC),' = '])
disp([abs(IDABC),rad2deg(angle(IDABC))])

IABC=DI*IDABC;
disp([getVarName(IABC),' = '])
disp([abs(IABC),rad2deg(angle(IABC))])

% VLNabc=At*VLNABC-Bt*Iabc;
% disp([getVarName(VLNabc),' = '])
% disp([abs(VLNabc),rad2deg(angle(VLNabc))])
% 
% STi=VLLABC.*conj(IDABC)/1000;
% disp([getVarName(STi),' = '])
% disp([abs(STi),rad2deg(angle(STi))])
% 
% PF=cos(angle(STi))