clear;
nt=10;
Ztab=0.0038+j*0.0045;
Ztbc=0.0038+j*0.0045;

Ztabc =[Ztab 0 0; 0 0 -Ztbc; -Ztab 0 Ztbc];

%% -νӷ
D=[1 -1 0; 0 1 -1; -1 0 1];
W=1/3*[2 1 0; 0 2 1; 1 0 2];
AV=nt*[1 0 0; 0 1 0; 0 0 0];
AI=nt*[1 0 0; -1 1 0; 0 -1 0];
at=AV*D
bt=[nt*Ztab 0 0; 0 0 -nt*Ztbc; 0 0 0]
dt=1/nt*[1 0 0; 0 0 -1; 0 0 0]
BV=1/nt*[1 0 0; 0 1 0; -1 -1 0];

At=W*BV
Bt=W*Ztabc

VLLabc=[240*exp(i*deg2rad(0));237*exp(i*deg2rad(-121));235*exp(i*deg2rad(120.2))];
SDabc=[150*exp(i*deg2rad(acosd(0.95)));125*exp(i*deg2rad(acosd(0.9)));160*exp(i*deg2rad(acosd(0.8)))];
% VLLabc=[240*exp(i*deg2rad(0));240*exp(i*deg2rad(-120));240*exp(i*deg2rad(120))];
ILabc=conj(SDabc * 1000 ./ VLLabc);
disp([getVarName(ILabc),' = '])
disp([abs(ILabc),rad2deg(angle(ILabc))])

VLNabc=W*VLLabc;
disp([getVarName(VLNabc),' = '])
disp([abs(VLNabc),rad2deg(angle(VLNabc))])

DI=[1 0 -1;-1 1 0;0 -1 1];
Iabc=DI*ILabc;
disp([getVarName(Iabc),' = '])
disp([abs(Iabc),rad2deg(angle(Iabc))])

VLGABC=at*VLNabc+bt*Iabc;
disp([getVarName(VLGABC),' = '])
disp([abs(VLGABC),rad2deg(angle(VLGABC))])

IABC=dt*Iabc;
disp([getVarName(IABC),' = '])
disp([abs(IABC),rad2deg(angle(IABC))])

STi=VLGABC.*conj(IABC)/1000;
disp([getVarName(STi),' = '])
disp([abs(STi),rad2deg(angle(STi))])

PF=cos(angle(STi))

return;






VLLABC=D*VLNABC;
disp([getVarName(VLLABC),' = '])
disp([abs(VLLABC),rad2deg(angle(VLLABC))])


IDabc=G1*Iabc;
disp([getVarName(IDabc),' = '])
disp([abs(IDabc),rad2deg(angle(IDabc))])

IDABC=AI^(-1)*IDabc;
disp([getVarName(IDABC),' = '])
disp([abs(IDABC),rad2deg(angle(IDABC))])

IABC=DI*IDABC;
disp([getVarName(IABC),' = '])
disp([abs(IABC),rad2deg(angle(IABC))])

VLNabc=At*VLNABC-Bt*Iabc;
disp([getVarName(VLNabc),' = '])
disp([abs(VLNabc),rad2deg(angle(VLNabc))])

