clear all;
clc;
S0 = 15500+7500j;
U1 = 2600;
%% ϵ
DF4 = 2.1;
DF5 = 2.2;
DF10 = 2.65;
DF14 = 2.78;
DF18 = 2.86;
%%  (1)(2)
ST1 = S0*4/DF4;
ST2 = S0*4/DF4;
ST3 = S0*5/DF5;
ST4 = S0*5/DF5;
S12 = S0*18/DF18;
S24 = S0*14/DF14;
S46 = S0*10/DF10;
S68 = S0*5/DF5;
%% 迹
Zbase1 = 2.4*2.4/37.5*1000;
Zbase2 = 2.4*2.4/50*1000;
Zl = 0.2763+0.2008i;
ZT1 = (0.01+0.03i)*Zbase1;
ZT2 = (0.01+0.03i)*Zbase1;
ZT3 = (0.015+0.035i)*Zbase2;
ZT4 = (0.015+0.035i)*Zbase2;
Z12 = Zl*0.114;
Z24 = Zl*0.141;
Z46 = Zl*0.225;
Z68 = Zl*0.246;
%% ·ѹ (3)
I12 = conj(S12 / U1);
U2 = U1 - Z12 * I12;
I24 = conj(S24 / U2);
U4 = U2 - Z24 * I24;
I46 = conj(S46 / U4);
U6 = U4 - Z46 * I46;
I68 = conj(S68 / U6);
U8 = U6 - Z68 * I68;
%% ѹѹ (3)
IT1 = conj(ST1 / U2);
UT1 = U2 - ZT1 * IT1;
U3 = UT1 / 10;
IT2 = conj(ST2 / U4);
UT2 = U4 - ZT2 * IT2;
U5 = UT2 / 10;
IT3 = conj(ST3 / U6);
UT3 = U6 - ZT3 * IT3;
U7 = UT3 / 10;
IT4 = I68;
UT4 = U8 - ZT4 * IT4;
U9 = UT4 / 10;
%% (3) 
UUU = [U1;U2;U3;U4;U5;U6;U7;U8;U9];
Uabs = abs(UUU);
Uangle = rad2deg(angle(UUU));
III = [I12;I24;I46;I68;IT1;IT2;IT3;IT4];
Iabs = abs(III);
Iangle = rad2deg(angle(III));
Uabs0 = Uabs;
ZZZ = [Z12;Z24;Z46;Z68;ZT1;ZT2;ZT3;ZT4];
%% 
disp('==================================1(2)==========================================');
disp('     ST1        ST2         ST3         ST4         S12         S24         S46         S68  ');
disp('     -----      -----       -----       -----       -----       -----       -----       -----');
fprintf('й %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f\n', real(ST1)/1000, real(ST2)/1000, real(ST3)/1000, real(ST4)/1000, real(S12)/1000, real(S24)/1000, real(S46)/1000, real(S68)/1000);
fprintf('޹ %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f\n', imag(ST1)/1000, imag(ST2)/1000, imag(ST3)/1000, imag(ST4)/1000, imag(S12)/1000, imag(S24)/1000, imag(S46)/1000, imag(S68)/1000);

disp('  ');
disp('==================================3abs  angle=====================================');
disp('      U1         U2          U3          U4          U5          U6          U7          U8          U9 ');
disp('      -----      -----       -----       -----       -----       -----       -----       -----       -----');
fprintf('ֵ %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f\n', Uabs(1),Uabs(2),Uabs(3),Uabs(4),Uabs(5),Uabs(6),Uabs(7),Uabs(8), Uabs(9));
fprintf(' %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f\n', Uangle(1),Uangle(2),Uangle(3),Uangle(4),Uangle(5),Uangle(6),Uangle(7),Uangle(8),Uangle(9));
disp('      I12        I24         I46         I68         IT1         IT2         IT3         IT4   ');
disp('      -----      -----       -----       -----       -----       -----       -----       -----');
fprintf('ֵ %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f\n', Iabs(1),Iabs(2),Iabs(3),Iabs(4),Iabs(5),Iabs(6),Iabs(7),Iabs(8));
fprintf(' %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f\n', Iangle(1),Iangle(2),Iangle(3),Iangle(4),Iangle(5),Iangle(6),Iangle(7),Iangle(8));
disp('      Z12        Z24         Z46         Z68         ZT1         ZT2         ZT3         ZT4   ');
disp('      -----      -----       -----       -----       -----       -----       -----       -----');
fprintf('ʵ %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f\n', real(Z12), real(Z24),real(Z46),real(Z68),real(ZT1),real(ZT2),real(ZT3),real(ZT4));
fprintf('鲿 %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f\n', imag(Z12), imag(Z24),imag(Z46),imag(Z68),imag(ZT1),imag(ZT2),imag(ZT3),imag(ZT4));

%% (4)
S00 = S12 / 18;
ST1 = S00 * 4;
ST2 = S00 * 4;
ST3 = S00 * 5;
ST4 = S00 * 5;
S12 = S00 * 18;
S24 = S00 * 14;
S46 = S00 * 10;
S68 = S00 * 5;
%% (4)·ѹ 
I12 = conj(S12 / U1);
U2 = U1 - Z12 * I12;
I24 = conj(S24 / U2);
U4 = U2 - Z24 * I24;
I46 = conj(S46 / U4);
U6 = U4 - Z46 * I46;
I68 = conj(S68 / U6);
U8 = U6 - Z68 * I68;
%% (4)ѹѹ
IT1 = conj(ST1 / U2);
UT1 = U2 - ZT1 * IT1;
U3 = UT1 / 10;
IT2 = conj(ST2 / U4);
UT2 = U4 - ZT2 * IT2;
U5 = UT2 / 10;
IT3 = conj(ST3 / U6);
UT3 = U6 - ZT3 * IT3;
U7 = UT3 / 10;
IT4 = I68;
UT4 = U8 - ZT4 * IT4;
U9 = UT4 / 10;
%% (4) 
UUU = [U1;U2;U3;U4;U5;U6;U7;U8;U9];
Uabs = abs(UUU);
Uangle = rad2deg(angle(UUU));
Uabs4 = Uabs;

disp('  ');
disp('==================================4abs  angle=====================================');
disp('      U1         U2          U3          U4          U5          U6          U7          U8          U9 ');
disp('      -----      -----       -----       -----       -----       -----       -----       -----       -----');
fprintf('ֵ %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f\n', Uabs(1),Uabs(2),Uabs(3),Uabs(4),Uabs(5),Uabs(6),Uabs(7),Uabs(8), Uabs(9));
fprintf(' %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f\n', Uangle(1),Uangle(2),Uangle(3),Uangle(4),Uangle(5),Uangle(6),Uangle(7),Uangle(8),Uangle(9));

%% (5)
I00 = I12 / 18;
I12 = I00 * 18;
I24 = I00 * 14;
I46 = I00 * 10;
I68 = I00 * 5;
IT1 = I00 * 4;
IT2 = I00 * 4;
IT3 = I00 * 5;
IT4 = I68;
U2 = U1 - Z12 * I12;
U4 = U2 - Z24 * I24;
U6 = U4 - Z46 * I46;
U8 = U6 - Z68 * I68;

UT1 = U2 - ZT1 * IT1;
U3 = UT1 / 10;
UT2 = U4 - ZT2 * IT2;
U5 = UT2 / 10;
UT3 = U6 - ZT3 * IT3;
U7 = UT3 / 10;
UT4 = U8 - ZT4 * IT4;
U9 = UT4 / 10;
%% (5) 
UUU = [U1;U2;U3;U4;U5;U6;U7;U8;U9];
Uabs = abs(UUU);
Uangle = rad2deg(angle(UUU));
Uabs5 = Uabs;

disp('  ');
disp('==================================5abs  angle=====================================');
disp('      U1         U2          U3          U4          U5          U6          U7          U8          U9 ');
disp('      -----      -----       -----       -----       -----       -----       -----       -----       -----');
fprintf('ֵ %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f\n', Uabs(1),Uabs(2),Uabs(3),Uabs(4),Uabs(5),Uabs(6),Uabs(7),Uabs(8), Uabs(9));
fprintf(' %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f\n', Uangle(1),Uangle(2),Uangle(3),Uangle(4),Uangle(5),Uangle(6),Uangle(7),Uangle(8),Uangle(9));

%% (6)
AF = S12 / 175000;
ST1 = AF * 37500;
ST2 = AF * 37500;
ST3 = AF * 50000;
ST4 = AF * 50000;
S12 = ST1 + ST2 + ST3 + ST4;
S24 = ST2 + ST3 + ST4;
S46 = ST3 + ST4;
S68 = ST4;
%% (6)·ѹ 
I12 = conj(S12 / U1);
U2 = U1 - Z12 * I12;
I24 = conj(S24 / U2);
U4 = U2 - Z24 * I24;
I46 = conj(S46 / U4);
U6 = U4 - Z46 * I46;
I68 = conj(S68 / U6);
U8 = U6 - Z68 * I68;
%% (6)ѹѹ
IT1 = conj(ST1 / U2);
UT1 = U2 - ZT1 * IT1;
U3 = UT1 / 10;
IT2 = conj(ST2 / U4);
UT2 = U4 - ZT2 * IT2;
U5 = UT2 / 10;
IT3 = conj(ST3 / U6);
UT3 = U6 - ZT3 * IT3;
U7 = UT3 / 10;
IT4 = I68;
UT4 = U8 - ZT4 * IT4;
U9 = UT4 / 10;
%% (6) 
UUU = [U1;U2;U3;U4;U5;U6;U7;U8;U9];
Uabs = abs(UUU);
Uangle = rad2deg(angle(UUU));
Uabs6 = Uabs;

disp('  ');
disp('==================================6abs  angle=====================================');
disp('      U1         U2          U3          U4          U5          U6          U7          U8          U9 ');
disp('      -----      -----       -----       -----       -----       -----       -----       -----       -----');
fprintf('ֵ %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f\n', Uabs(1),Uabs(2),Uabs(3),Uabs(4),Uabs(5),Uabs(6),Uabs(7),Uabs(8), Uabs(9));
fprintf(' %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f\n', Uangle(1),Uangle(2),Uangle(3),Uangle(4),Uangle(5),Uangle(6),Uangle(7),Uangle(8),Uangle(9));

%% (7)
RE4 = abs(Uabs0 - Uabs4) ./ Uabs0;
RE5 = abs(Uabs0 - Uabs5) ./ Uabs0;
RE6 = abs(Uabs0 - Uabs6) ./ Uabs0;
disp('  ');
disp('==================================7abs  angle=====================================');
disp('      U1         U2          U3          U4          U5          U6          U7          U8          U9 ');
disp('      -----      -----       -----       -----       -----       -----       -----       -----       -----');
fprintf('(4) %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f\n', RE4(1),RE4(2),RE4(3),RE4(4),RE4(5),RE4(6),RE4(7),RE4(8), RE4(9));
fprintf('(5) %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f\n', RE5(1),RE5(2),RE5(3),RE5(4),RE5(5),RE5(6),RE5(7),RE5(8), RE5(9));
fprintf('(6) %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f %-11.4f\n', RE6(1),RE6(2),RE6(3),RE6(4),RE6(5),RE6(6),RE6(7),RE6(8), RE6(9));













